; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: libpthread (posix threads) import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Needs editing of the function arguments
;_________________________________________________________________________________________

import_proto  'libpthread.so.0',          \
fork                              ,<NONE>,\
longjmp                           ,<NONE>,\
pthread_atfork                    ,<NONE>,\
pthread_attr_destroy              ,<NONE>,\
pthread_attr_getaffinity_np       ,<NONE>,\
pthread_attr_getdetachstate       ,<NONE>,\
pthread_attr_getguardsize         ,<NONE>,\
pthread_attr_getinheritsched      ,<NONE>,\
pthread_attr_getschedparam        ,<NONE>,\
pthread_attr_getschedpolicy       ,<NONE>,\
pthread_attr_getscope             ,<NONE>,\
pthread_attr_getstack             ,<NONE>,\
pthread_attr_getstackaddr         ,<NONE>,\
pthread_attr_getstacksize         ,<NONE>,\
pthread_attr_init                 ,<NONE>,\
pthread_attr_setaffinity_np       ,<NONE>,\
pthread_attr_setdetachstate       ,<NONE>,\
pthread_attr_setguardsize         ,<NONE>,\
pthread_attr_setinheritsched      ,<NONE>,\
pthread_attr_setschedparam        ,<NONE>,\
pthread_attr_setschedpolicy       ,<NONE>,\
pthread_attr_setscope             ,<NONE>,\
pthread_attr_setstack             ,<NONE>,\
pthread_attr_setstackaddr         ,<NONE>,\
pthread_attr_setstacksize         ,<NONE>,\
pthread_barrier_destroy           ,<NONE>,\
pthread_barrier_init              ,<NONE>,\
pthread_barrier_wait              ,<NONE>,\
pthread_barrierattr_destroy       ,<NONE>,\
pthread_barrierattr_getpshared    ,<NONE>,\
pthread_barrierattr_init          ,<NONE>,\
pthread_barrierattr_setpshared    ,<NONE>,\
pthread_cancel                    ,<NONE>,\
pthread_cond_broadcast            ,<NONE>,\
pthread_cond_destroy              ,<NONE>,\
pthread_cond_init                 ,<NONE>,\
pthread_cond_signal               ,<NONE>,\
pthread_cond_timedwait            ,<NONE>,\
pthread_cond_wait                 ,<NONE>,\
pthread_condattr_destroy          ,<NONE>,\
pthread_condattr_getclock         ,<NONE>,\
pthread_condattr_getpshared       ,<NONE>,\
pthread_condattr_init             ,<NONE>,\
pthread_condattr_setclock         ,<NONE>,\
pthread_condattr_setpshared       ,<NONE>,\
pthread_create                    ,<.pThreadID, .attr, .pThreadProc, .argument>,\
pthread_detach                    ,<NONE>,\
pthread_equal                     ,<NONE>,\
pthread_exit                      ,<NONE>,\
pthread_getaffinity_np            ,<NONE>,\
pthread_getattr_np                ,<NONE>,\
pthread_getconcurrency            ,<NONE>,\
pthread_getcpuclockid             ,<NONE>,\
pthread_getschedparam             ,<NONE>,\
pthread_getspecific               ,<NONE>,\
pthread_join                      ,<NONE>,\
pthread_key_create                ,<NONE>,\
pthread_key_delete                ,<NONE>,\
pthread_kill                      ,<.ThreadID, .signal>,\
pthread_kill_other_threads_np     ,<NONE>,\
pthread_mutex_consistent_np       ,<NONE>,\
pthread_mutex_destroy             ,<NONE>,\
pthread_mutex_getprioceiling      ,<NONE>,\
pthread_mutex_init                ,<NONE>,\
pthread_mutex_lock                ,<NONE>,\
pthread_mutex_setprioceiling      ,<NONE>,\
pthread_mutex_timedlock           ,<NONE>,\
pthread_mutex_trylock             ,<NONE>,\
pthread_mutex_unlock              ,<NONE>,\
pthread_mutexattr_destroy         ,<NONE>,\
pthread_mutexattr_getkind_np      ,<NONE>,\
pthread_mutexattr_getprioceiling  ,<NONE>,\
pthread_mutexattr_getprotocol     ,<NONE>,\
pthread_mutexattr_getpshared      ,<NONE>,\
pthread_mutexattr_getrobust_np    ,<NONE>,\
pthread_mutexattr_gettype         ,<NONE>,\
pthread_mutexattr_init            ,<NONE>,\
pthread_mutexattr_setkind_np      ,<NONE>,\
pthread_mutexattr_setprioceiling  ,<NONE>,\
pthread_mutexattr_setprotocol     ,<NONE>,\
pthread_mutexattr_setpshared      ,<NONE>,\
pthread_mutexattr_setrobust_np    ,<NONE>,\
pthread_mutexattr_settype         ,<NONE>,\
pthread_once                      ,<NONE>,\
pthread_rwlock_destroy            ,<NONE>,\
pthread_rwlock_init               ,<NONE>,\
pthread_rwlock_rdlock             ,<NONE>,\
pthread_rwlock_timedrdlock        ,<NONE>,\
pthread_rwlock_timedwrlock        ,<NONE>,\
pthread_rwlock_tryrdlock          ,<NONE>,\
pthread_rwlock_trywrlock          ,<NONE>,\
pthread_rwlock_unlock             ,<NONE>,\
pthread_rwlock_wrlock             ,<NONE>,\
pthread_rwlockattr_destroy        ,<NONE>,\
pthread_rwlockattr_getkind_np     ,<NONE>,\
pthread_rwlockattr_getpshared     ,<NONE>,\
pthread_rwlockattr_init           ,<NONE>,\
pthread_rwlockattr_setkind_np     ,<NONE>,\
pthread_rwlockattr_setpshared     ,<NONE>,\
pthread_self                      ,<NONE>,\
pthread_setaffinity_np            ,<NONE>,\
pthread_setcancelstate            ,<NONE>,\
pthread_setcanceltype             ,<NONE>,\
pthread_setconcurrency            ,<NONE>,\
pthread_setschedparam             ,<NONE>,\
pthread_setschedprio              ,<NONE>,\
pthread_setspecific               ,<NONE>,\
pthread_sigmask                   ,<NONE>,\
pthread_spin_destroy              ,<NONE>,\
pthread_spin_init                 ,<NONE>,\
pthread_spin_lock                 ,<NONE>,\
pthread_spin_trylock              ,<NONE>,\
pthread_spin_unlock               ,<NONE>,\
pthread_testcancel                ,<NONE>,\
pthread_timedjoin_np              ,<NONE>,\
pthread_tryjoin_np                ,<NONE>,\
pthread_yield                     ,<NONE>,\
pwrite                            ,<NONE>,\
pwrite64                          ,<NONE>,\
raise                             ,<NONE>,\
read                              ,<NONE>,\
recv                              ,<NONE>,\
recvfrom                          ,<NONE>,\
recvmsg                           ,<NONE>,\
sem_close                         ,<NONE>,\
sem_destroy                       ,<NONE>,\
sem_getvalue                      ,<NONE>,\
sem_init                          ,<NONE>,\
sem_open                          ,<NONE>,\
sem_post                          ,<NONE>,\
sem_timedwait                     ,<NONE>,\
sem_trywait                       ,<NONE>,\
sem_unlink                        ,<NONE>,\
sem_wait                          ,<NONE>,\
send                              ,<NONE>,\
sendmsg                           ,<NONE>,\
sendto                            ,<NONE>,\
sigaction                         ,<NONE>,\
siglongjmp                        ,<NONE>,\
sigwait                           ,<NONE>,\
system                            ,<NONE>,\
tcdrain                           ,<NONE>,\
vfork                             ,<NONE>,\
waitpid                           ,<NONE>,\
write                             ,<NONE>
