

iglobal
frmMainForm:
; The form
        ObjTemplate  tfParent or tfEnd, Form, frmMain, x, 100, y, 50, width, 640, height, 340, Visible, TRUE, Caption, 'FreshLib directory functions test.'

            ; log window
            ObjTemplate tfChild, FreshEdit, editLog, x, 330, y, 0, width, 240, height, 200, Visible, TRUE, Align, waClient, _fReadOnly, froReadOnlyWithCaret

            ObjTemplate  tfParent or tfEnd, Form, frmToolPanel, borderKind, borderNone, Align, waLeft,x ,0, y, 0, width, 200, height, 340, Visible, TRUE

                ; file buttons
                ObjTemplate tfChild, Button, btnReadFile, x, 4,  y, 2, width, 64, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'ReadLine', OnClick, procOnReadFile
                ObjTemplate tfChild, Button, btnReadDir, x, 67,  y, 2, width, 64, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'ReadDir', OnClick, procOnReadDir

                ; log buttons
                ObjTemplate tfChild, Button, btnClearLog, x, 134, y, 264, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Clear >>>', OnClick, procOnClearLog

                ; edit boxes
                ObjTemplate tfChild, Label, lblFilename,   x, 4, y, 24,  width, 100, height, 19, Visible, TRUE, TextAlign, dtfAlignLeft or dtfAlignBottom, Caption, 'File name:'
                ObjTemplate tfChild or tfEnd, Edit,  editFilename,  x, 4, y, 44,  width, 190, height, 19, Visible, TRUE, Text, '_doc'

endg



proc PrepareDemo
begin

        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [pApplication]
        mov     [ecx+TApplication.MainWindow], frmMain
        execute [frmMain], TForm.AlignChildren

        return
endp



proc procOnClearLog, .self, .button
begin
        execute [editLog], TFreshEdit.Clear
        return
endp



proc procOnReadDir, .self, .button
begin
        pushad

        stdcall Get, [editFilename], TEdit.Text
        mov     esi, eax

        stdcall DirectoryRead, eax
        jc      .error

        mov     esi, eax

        stdcall SortDirArray, esi, fdsByType or fdsByName ;or fdsDescending


        mov     ecx, [esi+TArray.count]
        xor     ebx, ebx

.list_loop:
        stdcall LogMessage, [esi+TArray.array+8*ebx+TDirItem.hFilename]
        stdcall LogMessage, cNewLine
        inc     ebx
        loop    .list_loop

        stdcall FreeDirArray, esi
        popad
        return

.error:
        stdcall LogMessage, cErrorRead
        stdcall GetErrorString, eax
        stdcall LogMessage, eax
        stdcall FreeErrorString, eax
        popad
        return

endp

cNewLine   text '',13
cErrorRead text 'Error read directory: '
cErrorFile text 'Error read file: '


proc procOnReadFile, .self, .button
begin
        pushad

        stdcall Get, [editFilename], TEdit.Text
        mov     esi, eax

        stdcall FileOpen, esi
        jc      .error
        mov     ebx, eax

.loop:
        stdcall FileReadLine, ebx
        jc      .error
        test    eax, eax
        jz      .end_of_file

        stdcall LogMessage, eax
        stdcall StrDel, eax
        stdcall LogMessage, cNewLine
        jmp     .loop

.end_of_file:
        stdcall FileClose, ebx
        popad
        return

.error:
        stdcall LogMessage, cErrorFile
        stdcall GetErrorString, eax
        stdcall LogMessage, eax
        stdcall FreeErrorString, eax
        stdcall LogMessage, cNewLine
        popad
        return

endp



proc LogMessage, .string
begin
        pushad
        execute [editLog], TFreshEdit.InsertString, [.string]
        mov     eax, [editLog]
        push    [eax+TFreshEdit._xCaret] [eax+TFreshEdit._yCaret]
        pop     [eax+TFreshEdit._ySelection] [eax+TFreshEdit._xSelection]
        execute [editLog], TFreshEdit.Refresh
        stdcall TFreshEdit.__UpdateScrollBars, [editLog]        ; not this
        popad
        return
endp


